###
FAAC 1.18 beta (www.audiocoding.com)

### Contents

- Usage
- options
- notes
- Copyrights
- Patents
- People

  ### Usage

  (More up to date info can be found at FAAC wiki page by Hans-Jürgen Bardenhagen)
  `faac [options] <infile> <outfile>`
  Options:
- `-a X` Set average bitrate to approximately X kbps per channel (i.e. using -a 64 averages at 128 kbps/stereo).
- `-c <bandwidth>` Set the bandwidth in Hz (default value depends on sample rate)
- `-q <quality>` Set quantizer quality (default: 100, averages at approx. 128 kbps VBR for a normal stereo input file at 16 bit and 44.1 kHz sample rate).
- `--tns` Enable TNS coding.
- `--notns` Disable TNS coding.
- `-n` Disable mid/side coding.
- `-m X` AAC MPEG version, X can be 2 or 4 (default: MPEG-2, so for the sake of interoperability with non-standard compliant players like QuickTime 6 you should set it to "4").
- `-o X` AAC object type, X can be LC, MAIN or LTP (default: LC, for the same reason as with the MPEG version don't use Main or LTP).
- `-r` RAW AAC output file (i.e. without ADTS headers).
- `-P` Raw PCM input mode.
- `-R` Raw PCM input sample rate in Hz (default: 44100 Hz).
- `-B` Raw PCM input bit depth (default: 16 bits, also possible 8 bits).
- `-C` Raw PCM input channels (default: 2). `- <stdin>` If you simply use a hyphen/minus sign instead of an input file name, FAAC can encode directly from stdin, thus enabling piping within other applications like foobar2000 or mp4live.
  Note: VBR output bitrate depends on -q AND -c, so you should only vary the default setting -q 100 -c 16000 if you know what you're doing and/or want to experiment with other cutoff frequencies at a given quality setting.
  The ABR setting with -a is an approximate average bitrate that does not use a bit reservoir, i.e -a 64 and -q 100 at 44.1 kHz will result in exactly the same output file.
  The following list should give some orientation for useful -q and -c settings, based on FAAC v1.17. The resulting VBR bitrates are referring to an average sounding stereo file with 16bit, 44.1 kHz, i.e. ct_reference.wav in this case. Multiplexing these AAC files to MP4 with e.g. mp4creator will result in a ~3 kbps lower bitrate because of the stripped ADTS headers:
  -q 130 -c 22000 -m 4 (~218 kbps)
  -q 120 -c 20000 -m 4 (~194 kbps)
  -q 110 -c 18000 -m 4 (~158 kbps)
  -q 100 -c 16000 -m 4 (~129 kbps)
  -q 90 -c 14000 -m 4 (~103 kbps)
  -q 80 -c 12000 -m 4 (~79 kbps)
  -q 70 -c 10000 -m 4 (~62 kbps)
  The added -m 4 switch does not change the bitrate or sound of course, but is recommended for most AAC/MP4 players that use an updated FAAD2-based plugin from this year (Winamp 2.x, foobar2000 etc.) or can't decode MPEG-2 AAC LC files like QuickTime 6. Philips Expanium users should not use this switch, because their CD portable does not know MPEG-4 AAC files.

  ### Copyrights

  FAAC - Freeware Advanced Audio Coder (www.audiocoding.com)

      	Portions Copyright © 1999,2000,2001 Menno Bakker
      	Portions Copyright © 2002,2003 Krzysztof Nikiel

  FAAC is based on the ISO MPEG-4 reference code. For this base code the following license applies:

      This software module was originally developed by

      FirstName LastName (CompanyName)

      and edited by

      FirstName LastName (CompanyName)
      FirstName LastName (CompanyName)

      in the course of development of the MPEG-2 NBC/MPEG-4 Audio standard
      ISO/IEC 13818-7, 14496-1,2 and 3. This software module is an
      implementation of a part of one or more MPEG-2 NBC/MPEG-4 Audio tools
      as specified by the MPEG-2 NBC/MPEG-4 Audio standard. ISO/IEC gives
      users of the MPEG-2 NBC/MPEG-4 Audio standards free license to this
      software module or modifications thereof for use in hardware or
      software products claiming conformance to the MPEG-2 NBC/ MPEG-4 Audio
      standards. Those intending to use this software module in hardware or
      software products are advised that this use may infringe existing
      patents. The original developer of this software module and his/her
      company, the subsequent editors and their companies, and ISO/IEC have
      no liability for use of this software module or modifications thereof
      in an implementation. Copyright is not released for non MPEG-2
      NBC/MPEG-4 Audio conforming products. The original developer retains
      full right to use the code for his/her own purpose, assign or donate
      the code to a third party and to inhibit third party from using the
      code for non MPEG-2 NBC/MPEG-4 Audio conforming products. This
      copyright notice must be included in all copies or derivative works.

      Copyright © 1997.

  For the changes made for the FAAC project the GNU Library General Public License (LGPL), version 2 1991 applies. For the changes the following statement applies:

      FAAC - Freeware Advanced Audio Coder
      Copyright © 1999,2000,2001,2002,2003 FAAC developers

      This library is free software; you can redistribute it and/or
      modify it under the terms of the GNU Lesser General Public
      License as published by the Free Software Foundation; either
      version 2.1 of the License, or (at your option) any later version.

      This library is distributed in the hope that it will be useful,
      but WITHOUT ANY WARRANTY; without even the implied warranty of
      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
      Lesser General Public License for more details.

      You should have received a copy of the GNU Lesser General Public
      License along with this library; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  ### Patents

  Please note that the use of this software may require the payment of patent royalties. You need to consider this issue before you start building derivative works. We are not warranting or indemnifying you in any way for patent royalities! YOU ARE SOLELY RESPONSIBLE FOR YOUR OWN ACTIONS!

  ### People

  Currently maintained by M. Bakker (menno)
  Other contributors:
  Tony Lenox
  RageOMatic
  thebard
  Ivan Dimkovic
  Krzysztof Nikiel (knik)
  Janne Hyvärinen (ca5e)
  Stuart Espey (stux)
  Andrew Voznytsa
  Måns Rullgård
  Bill May

  ######
  Copyright © 2003 AudioCoding.com